Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class BiomeEvent.CreateDecorator

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.BiomeEvent
              net.minecraftforge.event.terraingen.BiomeEvent.CreateDecorator

Enclosing class:
  BiomeEvent

    public static class BiomeEvent.CreateDecorator

extends BiomeEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`BiomeEvent.BiomeColor, BiomeEvent.BlockReplacement, BiomeEvent.CreateDecorator, BiomeEvent.GetFoliageColor, BiomeEvent.GetGrassColor, BiomeEvent.GetVillageBlockID, BiomeEvent.GetVillageBlockMeta, BiomeEvent.GetWaterColor`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`BiomeDecorator` | `newBiomeDecorator`
`BiomeDecorator` | `originalBiomeDecorator`

Fields inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`biome`

Constructor Summary
`BiomeEvent.CreateDecorator(BiomeGenBase biome, BiomeDecorator original)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originalBiomeDecorator

    public final BiomeDecorator originalBiomeDecorator

### newBiomeDecorator

    public BiomeDecorator newBiomeDecorator

Constructor Detail

### BiomeEvent.CreateDecorator

    public BiomeEvent.CreateDecorator(BiomeGenBase biome,
                                      BiomeDecorator original)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD